Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class SubProcessNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.SubProcessNode

All Implemented Interfaces:
  Serializable, Mappable, Contextable, ContextResolver, Node

    public class SubProcessNode

extends StateBasedNode
implements Mappable

Default implementation of a sub-flow node.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`SubProcessNode()`

Method Summary
`void` | `addInAssociation(DataAssociation dataAssociation)`
`void` | `addInMapping(String parameterName, String variableName)`
`void` | `addOutAssociation(DataAssociation dataAssociation)`
`void` | `addOutMapping(String parameterName, String variableName)`
`List<DataAssociation>` | `getInAssociations()`
`String` | `getInMapping(String parameterName)`
`Map<String,String>` | `getInMappings()`
`List<DataAssociation>` | `getOutAssociations()`
`String` | `getOutMapping(String parameterName)`
`Map<String,String>` | `getOutMappings()`
`String` | `getProcessId()`
`String` | `getProcessName()`
`boolean` | `isIndependent()`
`boolean` | `isWaitForCompletion()`
`void` | `setIndependent(boolean independent)`
`void` | `setInMappings(Map<String,String> inMapping)`
`void` | `setOutMappings(Map<String,String> outMapping)`
`void` | `setProcessId(String processId)`
`void` | `setProcessName(String processName)`
`void` | `setWaitForCompletion(boolean waitForCompletion)`
`void` | `validateAddIncomingConnection(String type, Connection connection)`
`void` | `validateAddOutgoingConnection(String type, Connection connection)`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, addIncomingConnection, addOutgoingConnection, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubProcessNode

    public SubProcessNode()

Method Detail

### setProcessId

    public void setProcessId(String processId)

### getProcessId

    public String getProcessId()

### isWaitForCompletion

    public boolean isWaitForCompletion()

### setWaitForCompletion

    public void setWaitForCompletion(boolean waitForCompletion)

### addInMapping

    public void addInMapping(String parameterName,
                             String variableName)

  Specified by:
    `addInMapping` in interface `Mappable`

### setInMappings

    public void setInMappings(Map<String,String> inMapping)

  Specified by:
    `setInMappings` in interface `Mappable`

### getInMapping

    public String getInMapping(String parameterName)

  Specified by:
    `getInMapping` in interface `Mappable`

### getInMappings

    public Map<String,String> getInMappings()

  Specified by:
    `getInMappings` in interface `Mappable`

### addInAssociation

    public void addInAssociation(DataAssociation dataAssociation)

  Specified by:
    `addInAssociation` in interface `Mappable`

### getInAssociations

    public List<DataAssociation> getInAssociations()

  Specified by:
    `getInAssociations` in interface `Mappable`

### addOutMapping

    public void addOutMapping(String parameterName,
                              String variableName)

  Specified by:
    `addOutMapping` in interface `Mappable`

### setOutMappings

    public void setOutMappings(Map<String,String> outMapping)

  Specified by:
    `setOutMappings` in interface `Mappable`

### getOutMapping

    public String getOutMapping(String parameterName)

  Specified by:
    `getOutMapping` in interface `Mappable`

### getOutMappings

    public Map<String,String> getOutMappings()

  Specified by:
    `getOutMappings` in interface `Mappable`

### addOutAssociation

    public void addOutAssociation(DataAssociation dataAssociation)

  Specified by:
    `addOutAssociation` in interface `Mappable`

### getOutAssociations

    public List<DataAssociation> getOutAssociations()

  Specified by:
    `getOutAssociations` in interface `Mappable`

### isIndependent

    public boolean isIndependent()

### setIndependent

    public void setIndependent(boolean independent)

### validateAddIncomingConnection

    public void validateAddIncomingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddIncomingConnection` in class `NodeImpl`

### validateAddOutgoingConnection

    public void validateAddOutgoingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddOutgoingConnection` in class `NodeImpl`

### setProcessName

    public void setProcessName(String processName)

### getProcessName

    public String getProcessName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.